import { colors } from './colors';
export type LoggerOptions = {
    /** Silent all non-error logs */
    silent: boolean;
    /** Show verbose-level logs (default not shown) */
    verbose: boolean;
};
export declare function configure(options: Partial<LoggerOptions>): void;
export declare function error(...args: unknown[]): void;
export declare function warn(...args: unknown[]): void;
export declare function log(...args: unknown[]): void;
export declare function verbose(...args: unknown[]): void;
export declare function color(color: keyof typeof colors, ...args: unknown[]): void;
/** Log message that indicates progress of operation, does not output the trailing newline. */
export declare function progress(message: string): void;
/**
 * Clears current lint. To be used in conjunction with `progress`.
 */
export declare function clearLine(): void;
//# sourceMappingURL=logger.d.ts.map